Results 1 to 10 of 10

Thread: Uncomplete upgrade to Plasma 5.11 in Leap 42.2 :(

  1. #1

    Unhappy Uncomplete upgrade to Plasma 5.11 in Leap 42.2 :(

    I have Leap 42.2 with KDE Frameworks 5 & Plasma 5 repositories:

    http://download.opensuse.org/reposit...USE_Leap_42.2/
    http://download.opensuse.org/reposit...USE_Leap_42.2/
    http://download.opensuse.org/reposit...USE_Leap_42.2/
    http://download.opensuse.org/reposit...USE_Leap_42.2/

    Unfortunately, it seems that the last upgrades to Plasma 5.11.0 from these repos are incomplete: the packages plasma5-desktop and plasma5-workspace seem to be stuck to versions 5.10.5 despite all other Plasma packages are updated to 5.11.0. In repos for Leap 42.3 these packages have correct versions. Can we (Leap 42.2 users) hope for normal complete update of all Plasma packages to version 5.11.0 ?

  2. #2
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Uncomplete upgrade to Plasma 5.11 in Leap 42.2 :(

    there's a build error
    https://build.opensuse.org/package/s...lasma5-desktop
    Code:
    nothing provides cmake(LibKWorkspace) >= 5.11.0, nothing provides plasma5-workspace >= 5.11.0
    https://build.opensuse.org/package/s...sma5-workspace
    Code:
    nothing provides libgpgmepp.so.6()(64bit) needed by libkwalletbackend5-5
    you could upgrade to 42.3

  3. #3

    Default Re: Uncomplete upgrade to Plasma 5.11 in Leap 42.2 :(

    Quote Originally Posted by I_A View Post
    there's a build error
    So, is it solvable or fatal?

    Quote Originally Posted by I_A View Post
    you could upgrade to 42.3
    It is recommended to upgrade to next Leap release 6 months later after it was released. My experience shows that upgrading to 42.2 from 42.1 just 2 months after 42.2 release was extremely bad idea, and I don't like to repeat this mistake.

  4. #4
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,193
    Blog Entries
    1

    Default Re: Uncomplete upgrade to Plasma 5.11 in Leap 42.2 :(

    You should know that Leap 42.2 will be EOL ~January 2018

    https://en.opensuse.org/Lifetime

  5. #5

    Default Re: Uncomplete upgrade to Plasma 5.11 in Leap 42.2 :(

    Quote Originally Posted by deano_ferrari View Post
    You should know that Leap 42.2 will be EOL ~January 2018

    https://en.opensuse.org/Lifetime
    Yes, I know, and I am going to upgrade to 42.3 right in January 2018, when all possible third-party software will be definitely available. But now 42.2 still has 4 months of full-value life, and it would be nice if it was updated correctly.

  6. #6
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Uncomplete upgrade to Plasma 5.11 in Leap 42.2 :(

    Quote Originally Posted by MenakVishap View Post
    So, is it solvable or fatal?


    It is recommended to upgrade to next Leap release 6 months later after it was released. My experience shows that upgrading to 42.2 from 42.1 just 2 months after 42.2 release was extremely bad idea, and I don't like to repeat this mistake.
    you got that upside down
    there is support for old versions 6 months after the current is out, seeing how 42.3 came out 3.5 months ago it's stable as a rock and every repo that supports opensuse has been compiled for 42.3 waiting for the end of life to upgrade is silly
    seeing how you want to use the latest kde packages maybe you should move to TW
    about if this is going to get fixed the answer is probobly but 42.2 is based on SLE 12 sp2 and that is dead I doubt there is much work done on it seeing how it's the weekend I wouldn't expect anything before Monday (some opensuse services are currently down for me)

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,519
    Blog Entries
    15

    Default Re: Uncomplete upgrade to Plasma 5.11 in Leap 42.2 :(

    Quote Originally Posted by I_A View Post
    you got that upside down
    there is support for old versions 6 months after the current is out, seeing how 42.3 came out 3.5 months ago it's stable as a rock and every repo that supports opensuse has been compiled for 42.3 waiting for the end of life to upgrade is silly
    seeing how you want to use the latest kde packages maybe you should move to TW
    about if this is going to get fixed the answer is probobly but 42.2 is based on SLE 12 sp2 and that is dead I doubt there is much work done on it seeing how it's the weekend I wouldn't expect anything before Monday (some opensuse services are currently down for me)
    Hi
    Just to clarify SLED/SLES 12 SP2 is out of general support on Mar 31, 2018 so not quite dead... SLES 12 SP2 LTSS goes until Mar 31, 2021

    I'm still on 42.2 on this machine...
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  8. #8
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Uncomplete upgrade to Plasma 5.11 in Leap 42.2 :(

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Just to clarify SLED/SLES 12 SP2 is out of general support on Mar 31, 2018 so not quite dead... SLES 12 SP2 LTSS goes until Mar 31, 2021

    I'm still on 42.2 on this machine...
    2021? wow
    I didn't express my self best what I meant to say is 42.3 is based on SL12 Service Pack 3 and it should be installed as soon as it's out (maybe wait a month for possible hiccups) but don't wait until 42.2 is out of support
    if this was Windows we'd be installing the service pack as soon as it was out not wait for 6 months to do it, another thing if I understood correctly all 42.x versions are considered the same OS ie LEAP the minor version can be thought of as a service packs that should be installed as soon as possible

  9. #9

    Default Re: Uncomplete upgrade to Plasma 5.11 in Leap 42.2 :(

    Today the situation is the same. Upgrade to 5.11.1occurred without updating plasma5-desktop and plasma5-workspace.

  10. #10

    Default Re: Uncomplete upgrade to Plasma 5.11 in Leap 42.2 :(

    Hurrah! Today everything was updated correctly to 5.11.1 .

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •